软件更新的出错提示问题

为当前最终发行版之前的所有版本提供支持
回复
duanius
帖子: 80
注册时间: 2006-10-01 23:59
送出感谢: 0
接收感谢: 0

软件更新的出错提示问题

#1

帖子 duanius » 2006-10-07 12:25

更新软件总会出现
_____________________________________
Downloading... ++++ FAILED.
automatic installation failed due to network problems or upstream changes
usage: update-rc.d [-n] [-f] <basename> remove
update-rc.d [-n] <basename> defaults [NN | sNN kNN]
update-rc.d [-n] <basename> start|stop NN runlvl [runlvl] [...] .
-n: not really
-f: force
dpkg: error processing flashplugin-nonfree (--configure):
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
clvm
redhat-cluster-suite
system-config-cluster
flashplugin-nonfree
_________________________________________

导致软件,更新都不成功,怎么回事?




注意这里:
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
clvm
redhat-cluster-suite
system-config-cluster
flashplugin-nonfree :?:
duanius
帖子: 80
注册时间: 2006-10-01 23:59
送出感谢: 0
接收感谢: 0

#2

帖子 duanius » 2006-10-07 12:45

在网上只找到2篇于我问题相关的google 但都是只提出一样的问题而没有 解决
国外因校园网限制而无法访问
本论坛也有一篇帖子和我一样问题 同样没人解答。。。。。
没人知道么。。。。
Charles.T
帖子: 88
注册时间: 2006-09-20 21:38
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 Charles.T » 2006-10-07 13:01

不敢保证一定成功,至少有点希望
1.确保sources.list中资源有效、无误。重新更新sudo apt-get update
2.cd /var/cache/apt/archives
dpkg -i libc6* libdb2* perl*
dpkg -i apt* dpkg* debconf*
dpkg -i *
直至不再出错

good luck
duanius
帖子: 80
注册时间: 2006-10-01 23:59
送出感谢: 0
接收感谢: 0

#4

帖子 duanius » 2006-10-07 22:17

谢谢 我去试试
duanius
帖子: 80
注册时间: 2006-10-01 23:59
送出感谢: 0
接收感谢: 0

#5

帖子 duanius » 2006-10-07 23:02

......................
......................
.....................



Setting up kdesvn-kio-plugins (0.7.2-2build2) ...
Setting up konsole (3.5.2-0ubuntu27) ...

Setting up ksystemlog (0.3.2-0ubuntu4) ...

Setting up libcvsservice0 (3.5.2-0ubuntu3) ...
ldconfig: /usr/lib/libgaim-client.so.0 is not a symbolic link

ldconfig: /usr/lib/libgaim.so.0 is not a symbolic link


Setting up adept (2.0ubuntu2) ...

Setting up eva (0.4.99cvs20060909-0ubuntu1) ...
Setting up kcron (3.5.2-0ubuntu8) ...

Setting up kdebase-bin (3.5.2-0ubuntu27) ...
ldconfig: /usr/lib/libgaim-client.so.0 is not a symbolic link

ldconfig: /usr/lib/libgaim.so.0 is not a symbolic link


Setting up kdevelop3-plugins (3.3.2-0ubuntu3) ...
Setting up kdevelop3 (3.3.2-0ubuntu3) ...
ldconfig: /usr/lib/libgaim-client.so.0 is not a symbolic link

ldconfig: /usr/lib/libgaim.so.0 is not a symbolic link


Setting up kdevelop3-data (3.3.2-0ubuntu3) ...

Errors were encountered while processing:
apt*
dpkg
lock
partial
debconf*
flashplugin-nonfree
clvm
redhat-cluster-suite
system-config-cluster
回复

回到 “老旧版本支持”